	LD	A,#17
	CALL	PAGER
	LD	HL,#4020
	LD	DE,#C020
	LD	HX,4
XLR3	PUSH	HL
	PUSH	DE
	LD	LX,4
XLR2	PUSH	HL
	PUSH	DE
	LD	B,32
XLR1	LD	C,(HL)
	LD	A,(DE)
	LD	(HL),A
	LD	A,C
	LD	(DE),A
	DJNZ	XLR1
	POP	DE
	POP	HL
	INC	H
	INC	D
	DEC	LX
	JP	NZ,XLR2
	POP	DE
	POP	HL
	CALL	DWNXHL
	EX	DE,HL
	CALL	DWNXHL
	EX	DE,HL
	DEC	HX
	JP	NZ,XLR3